/*
 * open interface 
 * 		University Computing Center, SRCE
 * Date:	Fri Jun 14 1996
 * Copyright (c) 1996,  Damir Delija
 * 
 * function snmdb_add_agent 
 * int snmdb_add_agent	(snmdb_buffer *, char *, char *); 
 * 
 */

#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <tcl.h>
#include <netmgt/netmgt_db.h>


#define u_long unsigned long

typedef struct {
	char *snmErrorName; 	/* name of error */
	int   snmErrorCode;	/* code */
} tclSnmError ;
	
tclSnmError snmbdErrorTcl[]={
{ "SNMDB_BAD_ARGUMENT", SNMDB_BAD_ARGUMENT },
{ "SNMDB_NOT_INITIALIZED", SNMDB_NOT_INITIALIZED },
{ "SNMDB_UNKNOWN_AGENT", SNMDB_UNKNOWN_AGENT },
{ "SNMDB_NO_MEMORY", SNMDB_NO_MEMORY },
{ "SNMDB_INVALID_TYPE", SNMDB_INVALID_TYPE },
{ "SNMDB_TOO_LONG", SNMDB_TOO_LONG },
{ "SNMDB_ELEMENT_NOT_FOUND", SNMDB_ELEMENT_NOT_FOUND },
{ "SNMDB_NO_KEY_FIELD", SNMDB_NO_KEY_FIELD },
{ "SNMDB_DUPLICATE_ID", SNMDB_DUPLICATE_ID },
{ "SNMDB_DUPLICATE_NAME", SNMDB_DUPLICATE_NAME },
{ "SNMDB_CONNECTED_TO_ELEMENT_NOT_FOUND", SNMDB_CONNECTED_TO_ELEMENT_NOT_FOUND },
{ "SNMDB_CONNECTION_EXISTS", SNMDB_CONNECTION_EXISTS },
{ "SNMDB_CONNECTION_NOT_FOUND", SNMDB_CONNECTION_NOT_FOUND },
{ "SNMDB_CANNOT_CONNECT_TO_SELF", SNMDB_CANNOT_CONNECT_TO_SELF },
{ "SNMDB_ELEMENT_ALREADY_IN_VIEW", SNMDB_ELEMENT_ALREADY_IN_VIEW },
{ "SNMDB_ELEMENT_NOT_IN_VIEW", SNMDB_ELEMENT_NOT_IN_VIEW },
{ "SNMDB_SUBVIEW_IS_NOT_EMPTY", SNMDB_SUBVIEW_IS_NOT_EMPTY },
{ "SNMDB_UNABLE_TO_DELETE_ELEMENT", SNMDB_UNABLE_TO_DELETE_ELEMENT },
{ "SNMDB_UNKNOWN_PROPERTY", SNMDB_UNKNOWN_PROPERTY },
{ "SNMDB_INVALID_DATA_IN_BUFFER", SNMDB_INVALID_DATA_IN_BUFFER },
{ "SNMDB_NOT_CONNECTED_TO_ANY", SNMDB_NOT_CONNECTED_TO_ANY },
{ "SNMDB_NOT_IN_ANY_VIEW", SNMDB_NOT_IN_ANY_VIEW },
{ "SNMDB_NO_AGENT_APPLY", SNMDB_NO_AGENT_APPLY },
{ "SNMDB_AGENT_NOT_FOUND", SNMDB_AGENT_NOT_FOUND },
{ "SNMDB_X_AND_Y_UNDEFINED", SNMDB_X_AND_Y_UNDEFINED },
{ "SNMDB_INVALID_FILE", SNMDB_INVALID_FILE },
{ "SNMDB_GLYPH_FILENAME_NOT_FOUND", SNMDB_GLYPH_FILENAME_NOT_FOUND },
{ "SNMDB_ALIAS_NOT_FOUND", SNMDB_ALIAS_NOT_FOUND },
{ "SNMDB_NO_ALIAS_EXIST", SNMDB_NO_ALIAS_EXIST },
{ "SNMDB_UNABLE_TO_DELETE_ALIAS", SNMDB_UNABLE_TO_DELETE_ALIAS },
{ "NETMGT_DBMGR_PROG", NETMGT_DBMGR_PROG },
{ NULL , 0}
};

void snmTclAddError (Tcl_Interp *interp,  int err ) {
int i;
	for (i=0; snmbdErrorTcl[i].snmErrorName ; i++) {
	if ( snmbdErrorTcl[i].snmErrorCode==err ) {
		Tcl_AddErrorInfo(interp,snmbdErrorTcl[i].snmErrorName );
		return;
		}
	}

return;
}
/*

*/
