/* 
 * handle table interface emulation - Interface gd to Tcl.
 * 
 * Author:	Spencer W. Thomas
 * 		Information Technology and Networking
 * 		University of Michigan
 * Date:	Fri Aug 19 1994
 * Copyright (c) 1994, University of Michigan
 */

#ifndef HANDLE_TABLE 

#define HANDLE_TABLE 

typedef void * void_pt;

typedef struct {
    char *handleBase;
    int entrySize;
    Tcl_HashTable theTable;
    int cnt;
} HandleTable;

/*****************************************************************
 * Simulate TclX Handle routines using hash tables.
 * 
 */
void_pt Tcl_HandleTblInit(const char*, int, int );

void_pt Tcl_HandleAlloc(void_pt, char *);

void_pt Tcl_HandleXlate(Tcl_Interp *, void_pt , const char *);

void Tcl_HandleFree(void_pt, void_pt);

void_pt Tcl_HandlePtrFind(void_pt, void_pt );

void_pt Tcl_HandleAllocName(void_pt, char *, char *);

#endif
